X
Tap here to go to the mobile version of the site.

منتدى الدعم

Upgrading multiple versions

Posted

I stabilized on Firefox 33 some time ago, because it was stable and the rate-of-change of new releases was too fast (which caused me to lose productivity).

I want to migrate towards Firefox 64-bit.

Should I ... A. Upgrade from v33 to the current 32-bit release in one jump? (Is that even possible?) or... B. Upgrade from 33 to 34, 34 to 35, etc. over time - which means I'll get the "opportunity to experience" :( whatever bugs exist in all the incremental versions... and it will consume a lot of precious time. Are those intermediary versions even available?

"Where" (in the big-picture of that process) would you recommend I make the jump to 64-bit Firefox, with the least "upgrade pain?"

Non-obvious considerations: 1. I have a dozen add-ons, so path (B) will be very tedious as I need to implement and test each add-on on each version. 2. Is there a matrix available, to show which add-on versions work reliably with which Firefox versions? 3. NoScript is very important; I'm currently at release 2.9.0.3 ... which is also not current (2.9.0.11), but probably more-current than Firefox 33. I'm in touch with Giorgio, the developer, about that.

This question is *provoked* by... a sudden failure of Firefox 33 to work (after behaving reliably for years). The symptom was, I suddenly couldn't login use either Yahoo Mail or Facebook (and -only- those two sites)... Facebook would accept the login but do literally nothing beyond that (requiring me to externally kill the process); Yahoo would not even accept the login.

So, I created a new profile with no add-ons (which works fine on both those sites) and I'm gradually re-introducing add-ons to that profile, to see which one "breaks" them.

OR... is there perhaps a "Do Not Use" list somewhere, already, documenting which add-on versions are known to NOT work with specific Firefox releases?

Last but not least... 4. Would there be any value in running the broken Firefox 33 profile, and sending you the "Troubleshooting information" via the link below?

I stabilized on Firefox 33 some time ago, because it was stable and the rate-of-change of new releases was too fast (which caused me to lose productivity). I want to migrate towards Firefox 64-bit. Should I ... A. Upgrade from v33 to the current 32-bit release in one jump? (Is that even possible?) or... B. Upgrade from 33 to 34, 34 to 35, etc. over time - which means I'll get the "opportunity to experience" :( whatever bugs exist in all the incremental versions... and it will consume a lot of precious time. Are those intermediary versions even available? "Where" (in the big-picture of that process) would you recommend I make the jump to 64-bit Firefox, with the least "upgrade pain?" Non-obvious considerations: 1. I have a dozen add-ons, so path (B) will be very tedious as I need to implement and test each add-on on each version. 2. Is there a matrix available, to show which add-on versions work reliably with which Firefox versions? 3. NoScript is very important; I'm currently at release 2.9.0.3 ... which is also not current (2.9.0.11), but probably more-current than Firefox 33. I'm in touch with Giorgio, the developer, about that. This question is *provoked* by... a sudden failure of Firefox 33 to work (after behaving reliably for years). The symptom was, I suddenly couldn't login use either Yahoo Mail or Facebook (and -only- those two sites)... Facebook would accept the login but do literally nothing beyond that (requiring me to externally kill the process); Yahoo would not even accept the login. So, I created a new profile with no add-ons (which works fine on both those sites) and I'm gradually re-introducing add-ons to that profile, to see which one "breaks" them. OR... is there perhaps a "Do Not Use" list somewhere, already, documenting which add-on versions are known to NOT work with specific Firefox releases? Last but not least... 4. Would there be any value in running the broken Firefox 33 profile, and sending you the "Troubleshooting information" via the link below?

Additional System Details

Installed Plug-ins

  • Google Update
  • Shockwave Flash 21.0 r0
  • Adobe PDF Plug-In For Firefox and Netscape 15.16.20039
  • Next Generation Java Plug-in 11.77.2 for Mozilla browsers
  • 5.1.41212.0
  • iTunes Detector Plug-in
  • Citrix Online App Detector Plugin
  • A component of your photo software powered by RocketLife
  • NPWLPG
  • The plug-in allows you to open and edit files using Microsoft Office applications
  • Office Authorization plug-in for NPAPI browsers

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:33.0) Gecko/20100101 Firefox/33.0

More Information

the-edmeister
  • Top 25 Contributor
  • Moderator
5411 solutions 40290 answers

Helpful Reply

Don't even consider switching to a Win64 build of Firefox if you need any Plugins beyond Flash and Silverlight. Those are the only 2 Plugins that are whitelisted in Win64. NPAPI Plugins are getting deprecated for all builds, starting with the Win64 builds - none will survive too far into 2017.

Look at the ESR 45 version, so you get the security patches but without the new or changed features. https://www.mozilla.org/en-US/firefox/organizations/

As far as extension compatibility with Firefox version, that information is on the Add-ons download page for each add-on near the bottom.

https://addons.mozilla.org/en-US/firefox/addon/noscript/ Version Information Version 2.9.0.11 Released April 6, 2016 564.4 kB Works with Firefox 13.0 and later, Mobile 1.0 - 2.0a1pre, SeaMonkey 2.10 and later

Don't even consider switching to a Win64 build of Firefox if you need any Plugins beyond Flash and Silverlight. Those are the only 2 Plugins that are whitelisted in Win64. NPAPI Plugins are getting deprecated for all builds, starting with the Win64 builds - none will survive too far into 2017. Look at the ESR 45 version, so you get the security patches but without the new or changed features. https://www.mozilla.org/en-US/firefox/organizations/ As far as extension compatibility with Firefox version, that information is on the Add-ons download page for each add-on near the bottom. https://addons.mozilla.org/en-US/firefox/addon/noscript/ '''Version Information''' Version 2.9.0.11 Released April 6, 2016 564.4 kB Works with Firefox 13.0 and later, Mobile 1.0 - 2.0a1pre, SeaMonkey 2.10 and later